#include "Callback.h"

// Iunknown implementation
STDMETHODIMP_(ULONG) CCallback::AddRef()
{
  return 1;
}

STDMETHODIMP_(ULONG) CCallback::Release()
{
  return 0;
}

STDMETHODIMP CCallback::QueryInterface(REFIID riid, void **ppvObject)
{
  if (NULL == ppvObject)
  {
    return E_POINTER;
  }
  if (riid == __uuidof(IUnknown))
  {
    *ppvObject = static_cast<IUnknown*>(this);
     return S_OK;
  }
  if (riid == __uuidof(ISampleGrabberCB))
  {
    *ppvObject = static_cast<ISampleGrabberCB*>(this);
     return S_OK;
  }
  return E_NOTIMPL;
}

// 0
STDMETHODIMP CCallback::SampleCB(double Time, IMediaSample *pSample)
{
  return 0;
}

// 1
STDMETHODIMP CCallback::BufferCB(double Time, BYTE *pBuffer, long BufferLen)
{
  return 0;
}
