#ifndef VideoInH
#define VideoInH

#define XMD_H

#include "context.h"
#include "Jpeg.h"
#include "VideoCapture.h"
#include "Server.h"
#include <vfw.h>

class CVideoIn : public CVideoCapture
{
  CServer *srv;
  BITMAPINFOHEADER bio;
  MCTX *ctx;
public:
  CVideoIn(MCTX *ctx);
  virtual ~CVideoIn();
  virtual STDMETHODIMP BufferCB(double Time,
      BYTE *pBuffer, long BufferLen);
  int Run();
  void Exit();
};

#endif;