//---------------------------------------------------------------------------

#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "Device.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <XPMan.hpp>
#include <jpeg.hpp>;
#include <IniFiles.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
  TXPManifest *XPManifest1;
  TPanel *Panel1;
  TLabel *Label1;
  TLabel *Label3;
  TLabel *Label4;
  TLabel *Label5;
  TLabel *Status;
  TLabel *Label2;
  TComboBox *VideoDevices;
  TEdit *Edit1;
  TUpDown *Port;
  TComboBox *Host;
  TButton *StartButton;
  TComboBox *Format;
  TEdit *Edit2;
  TUpDown *Rate;
  TGroupBox *GroupBox1;
  TLabel *Label6;
  TTrackBar *Quality;
  TCheckBox *Gray;
  TCheckBox *Smooting;
  TImage *Image1;
  TButton *TestButton;
  TButton *VideoButton;
  TImage *MailTo;
  void __fastcall StartButtonClick(TObject *Sender);
  void __fastcall FormDestroy(TObject *Sender);
  void __fastcall Image1Click(TObject *Sender);
  void __fastcall GrayClick(TObject *Sender);
  void __fastcall SmootingClick(TObject *Sender);
  void __fastcall QualityChange(TObject *Sender);
  void __fastcall TestButtonClick(TObject *Sender);
  void __fastcall VideoButtonClick(TObject *Sender);
  void __fastcall MailToClick(TObject *Sender);
  void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
  void __fastcall VideoDevicesChange(TObject *Sender);
private:	// User declarations
  void __fastcall GetIPAddresses();
  void __fastcall LoadCfg();
  void __fastcall SaveCfg();
public:		// User declarations
  __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
