#ifndef CallbackH
#define CallbackH
/**
 * Abstract class SampleGrabber callback.
 *
 * @author  Marius Gligor
 * @version 1.0 24.08.2006
 */
#include <dshow.h>
#include <qedit.h>

class CCallback : public ISampleGrabberCB
{
public:
  /**
  * IUnknown interface
  */
  STDMETHODIMP_(ULONG) AddRef();
  STDMETHODIMP_(ULONG) Release();
  STDMETHODIMP QueryInterface(REFIID riid, void **ppvObject);
  /**
  * ISampleGrabberCB interface
  */
  virtual STDMETHODIMP SampleCB(double Time, IMediaSample *pSample);
  virtual STDMETHODIMP BufferCB(double Time, BYTE *pBuffer, long BufferLen);
};

#endif;