#ifndef THREADH
#define THREADH

#include <windows.h>

class CThread
{
protected:
  DWORD ThreadId;
  HANDLE hThread;
  HANDLE hEvent;
  static DWORD WINAPI ThreadProc(LPVOID lpThread);
  BOOL Terminated(DWORD dwMilliseconds = 0);
public:
  CThread();
  virtual ~CThread();
  BOOL StartThread(int Priority = THREAD_PRIORITY_NORMAL);
  void StopThread();
  void WaitFor(DWORD dwMilliseconds = 30000);
  virtual void Run() = 0;
};

#endif
